Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Cloud Marketplace
    • Начало работы
    • Управление доступом
      • Начало работы с License Manager SaaS API
        • Overview
          • Overview
          • Get
          • GetByResourceID
          • Ensure
    • Начало работы
    • Управление доступом
    • Аудитные логи Audit Trails

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • ExternalInstance
  • ExternalSubscription
  • ExternalLicense
  1. Партнерам
  2. Справочник License Manager SaaS API
  3. REST (англ.)
  4. Lock
  5. Get

Yandex Cloud Marketplace License Manager for SaaS, REST: Lock.Get

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • ExternalInstance
  • ExternalSubscription
  • ExternalLicense

Returns the specified subscription lock.

HTTP requestHTTP request

GET https://marketplace.api.cloud.yandex.net/marketplace/license-manager/saas/v1/locks/{lockId}

Path parametersPath parameters

Field

Description

lockId

string

Required field. ID of the subscription lock.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "instanceId": "string",
  "resourceId": "string",
  "startTime": "string",
  "endTime": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "state": "string",
  "templateId": "string",
  "externalInstance": {
    "name": "string",
    "properties": "object",
    // Includes only one of the fields `subscription`, `license`
    "subscription": {
      "subscriptionId": "string",
      "licenseId": "string",
      "activationKey": "string"
    },
    "license": {
      "licenseId": "string",
      "payload": "string"
    }
    // end of the list of possible fields
  },
  "instanceProlongation": "boolean"
}

Field

Description

id

string

ID of the subscription lock.

instanceId

string

ID of the subscription instance.

resourceId

string

ID of the resource.

startTime

string (date-time)

Timestamp of the start of the subscription lock.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

endTime

string (date-time)

Timestamp of the end of the subscription lock.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Update timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

state

enum (State)

Subscription lock state.

  • UNLOCKED: Subscription unlocked.
  • LOCKED: Subscription locked to the resource.
  • DELETED: Subscription lock deleted.

templateId

string

ID of the subscription template.

externalInstance

ExternalInstance

External subscription instance (optional), for usage convenience propagated
from parent subscription instance.

instanceProlongation

boolean

Indicates whether the subscription lock can be automatically prolonged/renewed.

ExternalInstanceExternalInstance

ExternalInstance attachment to external service subscription.

Field

Description

name

string

Optional external subscription name.

properties

object (map<string, string>)

Mapping of vendor defined properties in key, value format.

subscription

ExternalSubscription

Includes only one of the fields subscription, license.

license

ExternalLicense

Includes only one of the fields subscription, license.

ExternalSubscriptionExternalSubscription

Field

Description

subscriptionId

string

External subscription id.

licenseId

string

Optional: paired license id for external subscription.

activationKey

string

Optional: default activation key for external subscription.

ExternalLicenseExternalLicense

Field

Description

licenseId

string

External license bound to subscription instance.

payload

string (bytes)

License (vendor specific) payload.

Была ли статья полезна?

Предыдущая
Overview
Следующая
GetByResourceID
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»